## org.eclipse.emf.codegen.merge.java.facade
Interface JMember

All Superinterfaces:
  JNode

All Known Subinterfaces:
  JAbstractType, JAnnotationType, JAnnotationTypeMember, JEnum, JEnumConstant, JField, JInitializer, JMethod, JType

All Known Implementing Classes:
  ASTJAbstractType, ASTJAnnotationType, ASTJAnnotationTypeMember, ASTJEnum, ASTJEnumConstant, ASTJField, ASTJInitializer, ASTJMember, ASTJMethod, ASTJType, JDOMJField, JDOMJInitializer, JDOMJMember, JDOMJMethod, JDOMJType

    public interface JMember

extends JNode

An `JMember` defines functionality common to nodes, which can be members of types.

Since:
  2.2.0
See Also:
  `JType`, `JMethod`, `JField`, `JInitializer`

Method Summary
`java.lang.String` `getComment()` Returns the comment associated with this member (including comment delimiters).
`void` `setComment(java.lang.String comment)` Sets the comment associated with this member.

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### getComment

    java.lang.String getComment()

  Returns the comment associated with this member (including comment delimiters).

  Returns:
    the comment, or `null` if this member has no associated comment

### setComment

    void setComment(java.lang.String comment)

  Sets the comment associated with this member. The comment will appear before the member in the source. The comment must be properly formatted, including delimiters. A `null` comment indicates no comment.

  Parameters:
    `comment` - the comment, including comment delimiters, or `null` indicating this member should have no associated comment

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.